Package org.jcsp.net.dynamic

# Class NamedMigratableChannelEndFactoryImpl

java.lang.Object
org.jcsp.net.dynamic.NamedMigratableChannelEndFactoryImpl

All Implemented Interfaces:
  `NamedMigratableChannelEndFactory`

public class NamedMigratableChannelEndFactoryImpl extends Object implements NamedMigratableChannelEndFactory
Implementation of the factory for creating named migratable networked channel ends.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`NamedMigratableChannelEndFactoryImpl()`
Constructs a new `NamedMigratableChannelEndFactoryImpl` using the default CNS service name.
`NamedMigratableChannelEndFactoryImpl(String cnsServiceName)`
Constructs a new `NamedMigratableChannelEndFactoryImpl` for use with the given CNS service name.

## Method Summary

Modifier and Type
Method
Description
`MigratableAltingChannelInput`
`createNet2One(String name)`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.
`MigratableAltingChannelInput`
`createNet2One(String name, NameAccessLevel nameAccessLevel)`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.
`MigratableChannelOutput`
`createOne2Net(String name)`
Creates a networked migratable channel output end connected to the input end created with the given name.
`MigratableChannelOutput`
`createOne2Net(String name, NameAccessLevel accessLevel)`
Creates a networked migratable channel output end connected to the input end created with the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedMigratableChannelEndFactoryImpl

public NamedMigratableChannelEndFactoryImpl(String cnsServiceName)
Constructs a new `NamedMigratableChannelEndFactoryImpl` for use with the given CNS service name.

Parameters:
  `cnsServiceName` - the name of the CNS service to use.

### NamedMigratableChannelEndFactoryImpl

public NamedMigratableChannelEndFactoryImpl()
Constructs a new `NamedMigratableChannelEndFactoryImpl` using the default CNS service name.

## Method Details

### createNet2One

public MigratableAltingChannelInput createNet2One(String name)
Description copied from interface: `NamedMigratableChannelEndFactory`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.

Specified by:
  `createNet2One` in interface `NamedMigratableChannelEndFactory`
Parameters:
  `name` - the name to use.
Returns:
  the created channel end.
See Also:
  - `NamedMigratableChannelEndFactory.createNet2One(String)`

### createNet2One

public MigratableAltingChannelInput createNet2One(String name, NameAccessLevel nameAccessLevel)
Description copied from interface: `NamedMigratableChannelEndFactory`
Creates a named migratable networked channel input end that can be used as a guard in an `Alternative`.

Specified by:
  `createNet2One` in interface `NamedMigratableChannelEndFactory`
Parameters:
  `name` - the name to use.
  `nameAccessLevel` - the namespace to declare the name within.
Returns:
  the created channel end.
See Also:
  - `NamedMigratableChannelEndFactory.createNet2One(String, NameAccessLevel)`

### createOne2Net

public MigratableChannelOutput createOne2Net(String name)
Description copied from interface: `NamedMigratableChannelEndFactory`
Creates a networked migratable channel output end connected to the input end created with the given name.

Specified by:
  `createOne2Net` in interface `NamedMigratableChannelEndFactory`
Parameters:
  `name` - the name the input end was created with.
Returns:
  the created channel end.
See Also:
  - `NamedMigratableChannelEndFactory.createOne2Net(String)`

### createOne2Net

public MigratableChannelOutput createOne2Net(String name, NameAccessLevel accessLevel)
Description copied from interface: `NamedMigratableChannelEndFactory`
Creates a networked migratable channel output end connected to the input end created with the given name.

Specified by:
  `createOne2Net` in interface `NamedMigratableChannelEndFactory`
Parameters:
  `name` - the name the input end was created with.
Returns:
  the created channel end.
See Also:
  - `NamedMigratableChannelEndFactory.createOne2Net(String, NameAccessLevel)`